loclatdict = dict()
with open('lat.csv', 'r') as input:
    for loclat in input:
        loclat = loclat.strip()
        loclat = loclat.split(",")
        loclatdict[loclat[0]] = loclat[1]
loclondict = dict()
with open('lon.csv', 'r') as input:
    for loclon in input:
        loclon = loclon.strip()
        loclon = loclon.split(",")
        loclondict[loclon[0]] = loclon[1]
with open('tangled.csv', 'r') as file:
    last_event = None
    lat = "latitude"
    lon = "longitude"
    for line in file:
        abbrev = ""
        line = line.strip()
        item = line.split(',')
        event = item[0]
        object = item[1]
        if "(" in object:
            object = object.replace(" (", "_").replace("(", "_").replace(")","")
        denom = item[2]
        denom = denom.strip()
        time = item[3].split("-")
        loc = item[4].strip()
        for key, value in loclatdict.items():
            if loc == key:
                lat = value
        for key, value in loclondict.items():
            if loc == key:
                lon = value
        acq = item[10].strip()
        year = time[0].strip()
        setting = item[5]
        if event == last_event:
            continue
        else:
            with open('tangleattrib.csv', 'a') as output:
                output.write(event+","+denom+","+year+","+acq+","+setting+","+loc+","+lon+","+lat+"\n")
        last_event = event